Skip to main content
PATCH
/
api
/
v2
/
{object_api_name}
/
{record_id}
Patch one custom-object record
curl --request PATCH \
  --url https://api.example.com/api/v2/{object_api_name}/{record_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "name": "Renamed record"
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "record_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "attributes": {
      "display_name": {
        "value": "<string>",
        "value_type": "string"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

object_api_name
string
required
record_id
string<uuid>
required

Body

application/json
attributes
CustomObjectPatchRequestAttributes · object
required

Response

Successful Response

{"data": <record>} — GET / POST / PATCH.

data
CustomObjectObjectRecord · object
required